Bug 111930 - No where to enter multiple ports in RH9 firewall configs
No where to enter multiple ports in RH9 firewall configs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-securitylevel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
http://www.redhat.com/docs/manuals/li...
:
: 108127 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 13:30 EST by Ken Marsh
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 14:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Marsh 2003-12-11 13:30:02 EST
Description of problem:

program redhat-config-securitylevel has no field to enter ports. It
does not match the appearance of redhat-config-securitylevel as shown
in the given web page. lokkit allows ports but gives no clue as to
proper syntax for entering them. lokkit also must be entirely
reinitialized every run. lokkit is not a reasonable substitute for
managing more than 1 added firewall port.

redhat-config-securitylevel-tui does not exist in this distribution.

Conclusion: No (reasonable) frontend for entering ports on firewall in
RH9.

Version-Release number of selected component (if applicable):

redhat-config-securitylevel-1.1.1-3

How reproducible:


Steps to Reproduce:
1. Run redhat-config-securitylevel on RH9
2. Notice no place to enter port numbers
3. Notice no redhat-config-securitylevel-tui is present either
4. Run lokkit. Notice no help on how to add multiple port numbers.
5. Exit lokkit and run again. Notice it forgot everything you did last
time.
  
Actual results:


Expected results:


Additional info:
Comment 1 Brent Fox 2004-02-12 17:24:01 EST
In Fedora Core 2, all the redhat-config* tools have been renamed to
system-config-*.

The command, "redhat-config-securitylevel-tui" has been added (it
calls lokkit).

Items 2, 4 and 5 still need to be addressed.  Bug #108127 is basically
a dupe of parts of this report so I will dupe that bug to this one.
Comment 2 Brent Fox 2004-02-12 17:24:25 EST
*** Bug 108127 has been marked as a duplicate of this bug. ***
Comment 3 Brent Fox 2004-03-25 14:51:18 EST
Item #2 should be fixed in system-config-securitylevel-1.3.9-1.

Item #4 is not a bug.  When running lokkit outside of XFree86,
pressing F1 will bring up the help text.

Item #5 should be fixed in system-config-securitylevel-1.3.9-1.

Note You need to log in before you can comment on or make changes to this bug.